%define pypi_name zope-proxy
%define srcname zope_proxy

Name:           python-%{pypi_name}
Version:        6.1
Release:        %mkrel 3
Summary:        Generic Transparent Proxies
Group:          Development/Python
License:        ZPL
URL:            https://pypi.org/project/zope-proxy
Source0:        %{pypi_source}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Proxies are special objects which serve as mostly-transparent wrappers around
another object, intervening in the apparent behavior of the wrapped object only
when necessary to apply the policy (e.g., access checking, location brokering,
etc.) for which the proxy is responsible.

%package -n     python3-%{pypi_name}
Summary:        Generic Transparent Proxies
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-%{srcname} < 5.1

%description -n python3-%{pypi_name}
Proxies are special objects which serve as mostly-transparent wrappers around
another object, intervening in the apparent behavior of the wrapped object only
when necessary to apply the policy (e.g., access checking, location brokering,
etc.) for which the proxy is responsible.

%prep
%autosetup -p1 -n %{srcname}-%{version}

sed -i 's|setuptools<74|setuptools>=74|' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files zope

# not needed
rm -rf %{buildroot}%{python3_sitearch}/*-nspkg.pth

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt COPYRIGHT.txt
%doc README.rst
%{_includedir}/python%{pyver}/zope_proxy/


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 6.1-3.mga10
+ Revision: 2241759
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 daviddavid <daviddavid> 6.1-2.mga10
+ Revision: 2159044
- new version: 6.1
+ wally <wally>
- rebuild for python3.13

* Wed Dec 20 2023 wally <wally> 5.1-1.mga10
+ Revision: 2020428
- rename source pkgs as python-zope-proxy
- new version 5.1
- use pyproject rpm macros

* Sat Mar 19 2022 umeabot <umeabot> 4.3.5-4.mga9
+ Revision: 1799171
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 4.3.5-3.mga9
+ Revision: 1778557
- Rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 4.3.5-2.mga9
+ Revision: 1705076
- rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 4.3.5-1.mga8
+ Revision: 1608485
- new version 4.3.5
- new version works with Python 3.8
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 4.3.2-2.mga8
+ Revision: 1534562
- Mageia 8 Mass Rebuild

* Sat Oct 05 2019 guillomovitch <guillomovitch> 4.3.2-1.mga8
+ Revision: 1449375
- imported package python-zope.proxy

